%define aurorae_version 1.0.3

Summary:	ROSA-elementary theme
Name:		rosa-elementary-theme
Version:	2.8.0
Release:	6
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://www.rosalinux.com
Source0:	https://abf.io/uxteam/%{name}-devel/archive/%{name}-devel-v%{version}.tar.gz
#Theme for openbox
Source1:	%{name}-openbox.tar.gz
# new metacity theme
#Aurorae theme
Source3:	rosa-aurorae-%{aurorae_version}.tar.xz
Patch0:		rosa-elementary-theme-2.8.0-gtk316-fixes.patch
# http://bugs.rosalinux.ru/show_bug.cgi?id=6802#c65
# http://bugs.rosalinux.ru/show_bug.cgi?id=6802#c107
Patch1:		rosa-elementary-theme-panelapp.patch
Patch2:		rosa-elementary-theme-2.8.0-index.patch
Requires:	gtk-aurora-engine
Requires:	murrine
Suggests:	rosa-icons
BuildArch:	noarch

%description
ROSA-elementary theme created specially for the ROSA. Originally inspired
by Elementary theme by Daniel Fore (aka Dan Rabbit).

%files
%defattr(644,root,root,755)
%{_datadir}/themes/*
%{_datadir}/apps/aurorae/themes/rosa/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-devel-v%{version}
%apply_patches

tar xJf %{SOURCE3}

%build

%install
mkdir -p %{buildroot}%{_datadir}/themes
mkdir -p %{buildroot}%{_datadir}/themes/rosa-elementary
cp -rf ./* %{buildroot}%{_datadir}/themes/rosa-elementary
mkdir -p %{buildroot}%{_datadir}/apps/aurorae/themes/rosa/
cp -rf ./rosa-%{aurorae_version}/* %{buildroot}%{_datadir}/apps/aurorae/themes/rosa/


%changelog

* Fri Nov 25 2016 Vladimir Potapov <vladimir.potapov@rosalab.ru> 2.8.0-6
- (89cb7c8) fix windows border wihtout effects

* Tue Jul 05 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.8.0-5
- (d93aced) Fix theme index

* Tue Jul 05 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.8.0-4
- (a7e14e6) Fix MATE panel resizing
- (Denis Silakov: 9e92a91) Fix PanelApp class (http://bugs.rosalinux.ru/show_bug.cgi?id=6802#c65)

* Thu Jan 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.8.0-3
- (b080138) Revert to version 2.8.0 and add patch with some GTK 3.16 fixes

* Mon Dec 28 2015 Stas Fomin <stas-fomin@yandex.ru> 2.8.3-1
- (81185f6) Updated rosa-elementary-theme.spec

* Fri Dec 25 2015 Stas Fomin <stas-fomin@yandex.ru> 2.8.2-2
- (1090994) Updated rosa-elementary-theme.spec

* Thu Dec 24 2015 Stas Fomin <stas-fomin@yandex.ru> 2.8.1-2
- (1d77788) Updated rosa-elementary-theme.spec

* Wed Apr 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.8.0-2
- (047eabc) Update aurorae theme (increase left and right borders from 1 to 2)

* Mon Mar 02 2015 Stas Fomin <stas-fomin@yandex.ru> 2.8.0-1
- (d121d73) smaller font in app menu

* Thu Feb 26 2015 Stas Fomin <stas-fomin@yandex.ru> 2.7.9-1
- (f8ff0d8) Updated rosa-elementary-theme.spec

* Tue Feb 24 2015 Stas Fomin <stas-fomin@yandex.ru> 2.7.8-2
- (1629db3) Updated rosa-elementary-theme.spec

* Tue Feb 24 2015 Stas Fomin <stas-fomin@yandex.ru> 2.7.8-1
- (9115c18) Updated rosa-elementary-theme.spec

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2.7.7-2
- (1224967) MassBuild#656: Increase release tag

* Wed Feb 11 2015 Stas Fomin <stas-fomin@yandex.ru> 2.7.7-1
- (d427b49) Updated rosa-elementary-theme.spec

* Fri Dec 26 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.7.6-2
- (d9d1526) Spec cleanup

* Fri Dec 19 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.6-1
- (c035787) Updated rosa-elementary-theme.spec

* Thu Dec 18 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.5-1
- (aef9c09) Up version, because of fixes

* Mon Dec 15 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.4-1
- (0cd3828) Updated rosa-elementary-theme.spec

* Mon Dec 15 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.3-1
- (1467ae5) Updated rosa-elementary-theme.spec

* Tue Dec 09 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.2-1
- (a4d042c) Updated rosa-elementary-theme.spec

* Tue Dec 09 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.1-10
- (22aa0b6) up release

* Tue Dec 09 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.1-9
- (424de47) Updated rosa-elementary-theme.spec

* Wed Dec 03 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.0-9
- (ff088a4) up

* Wed Dec 03 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.0-7
- (1ddbb9c) change source URL for rosa-elementary-theme

* Wed Dec 03 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.0-6
- (70d32cf) remove old patches. All edits now will be made in uxteam/rosa-elementary-theme-devel
- (Stas Fomin: a044470) remove long auto search for dependencies
- (Stas Fomin: 5448c58) move patch to theme + change address for git repo
- (Stas Fomin: 81f416c) move patch to theme + change address for git repo

* Mon Dec 01 2014 Stas Fomin <stas-fomin@yandex.ru> 2.7.0-5
- (5185063) try new SASS version

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.6.1-5
- (97f1868) MassBuild#440: Increase release tag

* Mon Dec 09 2013 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 2.6.1-4
- (2417cdc) Fixed gnome-flashback panel css rules.

* Thu Dec 05 2013 Tigro <ashejn@gmail.com> 2.6.1-3
- (e0c221e) drop warnings

* Tue Oct 22 2013 Arkady Shane <ashejn@gmail.com> 2.6.1-2
- (5a154d6) bump release

* Tue Oct 22 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 2.6.1-1
- (49c7e01) Add patch.
- (root: d68ba5d) changed tooltip color to #727272


